# Документация

## PostgreSQL
``` sql
create table accounts (
	-- Параметры авторизации
    id serial primary key,
    username varchar(16) not null unique,
    uuid char(32) default replace(gen_random_uuid()::text, '-', '') not null unique,
    password TEXT not null,
    access_token char(32) default '',
    server_id varchar(42) default '',
    -- Дополнительные параметры
    email varchar(32) not null unique,
    email_verify BOOLEAN not null default false,
    location int not null default 0,
	skin_type boolean not null default true,
    firstname varchar(16),
    middlename varchar(16),
    lastname varchar(16),
    registration_date timestamp default current_timestamp,
    balance decimal(10,2) not null default 0.00
)
```